@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
}

// label
.app-label {
  @include robotoMedium;
  font-size: 10px;
  line-height: 13px;
  margin-bottom: 5px;
}

// field
.app-field {
  @include ubuntuRegular;
  height: 32px;
}

// input
input {
  width: 100%;

  &::placeholder {
    opacity: 1;
    color: $suva-grey;
  }
}

app-select {
  width: 100%;

  ::ng-deep {
    input {
      @include ubuntuRegular;
      height: 32px;
      font-size: 12px;
      line-height: 13px;
      color: $havelock-blue;
    }

    .app-options {
      box-shadow: 0 1px 15px rgba($black, 0.15);
      border-radius: 4px;
    }

    .app-option-item {
      @include ubuntuRegular;
      height: 32px;
    }
  }
}

@media (min-width: 768px) and (max-width: 1280px) {
  // field
  .app-field {
    height: 28px;
    max-width: 100px;
    font-size: 10px;
  }
  app-select {
    max-width: 100px;
    ::ng-deep {
      input {
        height: 28px;
        font-size: 10px;
      }
    }
  }
}
